<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}	
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$accion=array_key_exists('accion',$_REQUEST)?$_REQUEST["accion"]: "";
$codigo=array_key_exists('codigo',$_REQUEST)?$_REQUEST["codigo"]: "";
include ("fphp.php");
$enlace=cargar_conexion();
$color=false;
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
///////////////////////////////////////////////// INICIO DEL PROGRAMA ////////////////////////////////////////////////////////////////
menu();
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Turnos	
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Turnos
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Turnos</h2>";

///////////////////////////////////////////////// AGREGAR REGISTROS  ////////////////////////////////////////////////////////////////

if (array_key_exists('graba', $_POST) && $_POST['graba']==1) {
		$consulta="select * from turno where id='".$_SESSION['id_validar']."' and codigo = '".$_POST['codigo']."'" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows == 0) {
			$tarde=($_POST['tarde']==''?0:$_POST['tarde']);
			$sobre=($_POST['sobre']==''?0:$_POST['sobre']);
			$semana  =  trim($_POST['sem1']).trim($_POST['sem2']).trim($_POST['sem3']).trim($_POST['sem4']).trim($_POST['sem5']).trim($_POST['sem6']).trim($_POST['sem7']);			
			$horario  =  trim($_POST['lun1']).trim($_POST['lun2']).trim($_POST['lun3']).trim($_POST['lun4']);
			$horario .=  trim($_POST['mar1']).trim($_POST['mar2']).trim($_POST['mar3']).trim($_POST['mar4']);
			$horario .=  trim($_POST['mie1']).trim($_POST['mie2']).trim($_POST['mie3']).trim($_POST['mie4']);
			$horario .=  trim($_POST['jue1']).trim($_POST['jue2']).trim($_POST['jue3']).trim($_POST['jue4']);
			$horario .=  trim($_POST['vie1']).trim($_POST['vie2']).trim($_POST['vie3']).trim($_POST['vie4']);
			$horario .=  trim($_POST['sab1']).trim($_POST['sab2']).trim($_POST['sab3']).trim($_POST['sab4']);
			$horario .=  trim($_POST['dom1']).trim($_POST['dom2']).trim($_POST['dom3']).trim($_POST['dom4']);
			$consulta="insert into turno (id, codigo,detalle,lun1,lun2,lun3,lun4,mar1,mar2,mar3,mar4,mie1,mie2,mie3,mie4,jue1,jue2,jue3,jue4,vie1,vie2,vie3,vie4,sab1,sab2,sab3,sab4,dom1,dom2,dom3,dom4,horario,tarde,sobre,semana) values ('".$_SESSION['id_validar']."','".$_POST['codigo']."',ucase('".$_POST['detalle']."'),'".$_POST['lun1']."','".$_POST['lun2']."','".$_POST['lun3']."','".$_POST['lun4']."','".$_POST['mar1']."','".$_POST['mar2']."','".$_POST['mar3']."','".$_POST['mar4']."','".$_POST['mie1']."','".$_POST['mie2']."','".$_POST['mie3']."','".$_POST['mie4']."','".$_POST['jue1']."','".$_POST['jue2']."','".$_POST['jue3']."','".$_POST['jue4']."','".$_POST['vie1']."','".$_POST['vie2']."','".$_POST['vie3']."','".$_POST['vie4']."','".$_POST['sab1']."','".$_POST['sab2']."','".$_POST['sab3']."','".$_POST['sab4']."','".$_POST['dom1']."','".$_POST['dom2']."','".$_POST['dom3']."','".$_POST['dom4']."'
			
			
			,'".strtoupper($horario)."','".$tarde."','".$sobre."','".strtoupper($semana)."')";
			$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		} else $entra=1;
}
if ($entra) echo "<font face='Verdana, Arial, Helvetica, sans-serif' color ='#FF0000'size=3> (Registro Existe)</font>";
///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
if (array_key_exists('modifica', $_POST) && $_POST['modifica']==1) {
		$tarde=($_POST['tarde']==''?0:$_POST['tarde']);
		$sobre=($_POST['sobre']==''?0:$_POST['sobre']);
		$semana  =  trim($_POST['sem1']).trim($_POST['sem2']).trim($_POST['sem3']).trim($_POST['sem4']).trim($_POST['sem5']).trim($_POST['sem6']).trim($_POST['sem7']);			
		$horario  =  trim($_POST['lun1']).trim($_POST['lun2']).trim($_POST['lun3']).trim($_POST['lun4']);
		$horario .=  trim($_POST['mar1']).trim($_POST['mar2']).trim($_POST['mar3']).trim($_POST['mar4']);
		$horario .=  trim($_POST['mie1']).trim($_POST['mie2']).trim($_POST['mie3']).trim($_POST['mie4']);
		$horario .=  trim($_POST['jue1']).trim($_POST['jue2']).trim($_POST['jue3']).trim($_POST['jue4']);
		$horario .=  trim($_POST['vie1']).trim($_POST['vie2']).trim($_POST['vie3']).trim($_POST['vie4']);
		$horario .=  trim($_POST['sab1']).trim($_POST['sab2']).trim($_POST['sab3']).trim($_POST['sab4']);
		$horario .=  trim($_POST['dom1']).trim($_POST['dom2']).trim($_POST['dom3']).trim($_POST['dom4']);
		$consulta="update turno set semana='".$semana."',tarde='".$tarde."', sobre='".$sobre."', detalle=ucase('".$_POST['detalle']."'),
		lun1='".$_POST['lun1']."',
		lun2='".$_POST['lun2']."',
		lun3='".$_POST['lun3']."',
		lun4='".$_POST['lun4']."',
		mar1='".$_POST['mar1']."',
		mar2='".$_POST['mar2']."',
		mar3='".$_POST['mar3']."',
		mar4='".$_POST['mar4']."',
		mie1='".$_POST['mie1']."',
		mie2='".$_POST['mie2']."',
		mie3='".$_POST['mie3']."',
		mie4='".$_POST['mie4']."',
		jue1='".$_POST['jue1']."',
		jue2='".$_POST['jue2']."',
		jue3='".$_POST['jue3']."',
		jue4='".$_POST['jue4']."',
		vie1='".$_POST['vie1']."',
		vie2='".$_POST['vie2']."',
		vie3='".$_POST['vie3']."',
		vie4='".$_POST['vie4']."',
		sab1='".$_POST['sab1']."',
		sab2='".$_POST['sab2']."',
		sab3='".$_POST['sab3']."',
		sab4='".$_POST['sab4']."',
		dom1='".$_POST['dom1']."',
		dom2='".$_POST['dom2']."',
		dom3='".$_POST['dom3']."',
		dom4='".$_POST['dom4']."'
		

		
		,horario='".$horario."' where id='".$_SESSION['id_validar']."' and codigo='".$_POST['codigo']."' " ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
}
///////////////////////////////////////////////// ELIMINAR REGISTROS ////////////////////////////////////////////////////////////////
if ($accion==2) { 
		$consulta="delete from turno where id='".$_SESSION['id_validar']."' and codigo='".$codigo."' ";
		$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
}
///////////////////////////////////////////////// MOSTRAR ENTRADA DE DATOS  ////////////////////////////////////////////////////////////////
if (!$_POST || $accion==2 || (array_key_exists('graba', $_POST)&& $_POST['graba']==1)|| $_POST['modifica']==1 || $accion==3){
		if ($accion==3) {
			$consulta="Select * from turno where id='".$_SESSION['id_validar']."' and codigo = '".$codigo."'" ;
			$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$row=mysqli_fetch_assoc($resultado);
			
			echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
			echo "<input type = 'hidden' name = 'modifica' value = '1'>";			
		} else { 
			echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
			echo "  <input type = 'hidden' name = 'graba' value = '1'>";
		}

		echo "<table cellpadding=2 cellspacing=0 width='100%' align='center'>";
		echo "<tr>";
			echo "<td width='30%' align=right> C&oacute;digo:</td>";
			if ($accion==3) echo "<td> <input name='codigo' size = '4' maxlength = '4' value='" .obtener_valor_diccionario($row,'codigo')."' readonly></td>";
			else echo "<td> <input name='codigo' size = '4' maxlength = '4' onkeyup='verificar_codigo(this.form)'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td width='30%' align=right> Detalle (Descripci&oacute;n):</td>";
			echo "<td> <input name='detalle' size = '30' maxlength = '50' value='" .obtener_valor_diccionario($row,'detalle')."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td width='30%' align=right> Minutos Permitidos para llegar Tardes:</td>";
			echo "<td> <input name='tarde' size = '10' maxlength = '10' value='".obtener_valor_diccionario($row,'tarde')."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td width='30%' align=right> Minutos Permitidos para Sobretiempo:</td>";
			echo "<td> <input name='sobre' size = '10' maxlength = '10' value='".obtener_valor_diccionario($row,'sobre')."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td width='30%' align=left> <b>INDICACIONES PARA EL REGISTRO DE TURNOS/HORARIOS:</b></br></br>";
		

			echo "1.- Horario (HHMM) Formato Militar (ejm. 0700, 1700).</br></br>";
			echo "2.- <b>L</b> = D&iacute;a laborable, <b>D</b>= D&iacute;a de descanso.</br></br>";
			echo "3.- En d&iacute;as de descanso dejar horario en blanco.</br></br>";
			
			echo "</td>";


			echo "<td>";
			echo "<table border=1>";
					echo "<tr bgcolor='black'>	<td width=150><font color='white'>D&iacute;a de la Semana</td></font>
								<td><font color='white'>[L]=Laborable</br>[D]=Descanso</td></font>
								<td><font color='white'>1-Hora-ENT</td></font>
								<td><font color='white'>1-Hora-SAL-Descanso</td></font>
								<td><font color='white'>2-Hora-ENT-Descanso</td></font>
								<td><font color='white'>2-Hora-SAL</td></font></tr>";
					echo "<tr>	<td>Lunes</td>
								<td><input name='sem1' size=1 maxlength='1' value='".substr(obtener_valor_diccionario($row,'semana'),0,1)."'></td>
								<td><input name='lun1' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'lun1')."'></td>
								<td><input name='lun2' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'lun2')."'></td>
								<td><input name='lun3' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'lun3')."'></td>
								<td><input name='lun4' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'lun4')."'></td></tr>";
					echo "<tr>	<td>Martes</td>
								<td><input name='sem2' size=1 maxlength='1' value='".substr(obtener_valor_diccionario($row,'semana'),1,1)."'></td>
								<td><input name='mar1' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mar1')."'></td>
								<td><input name='mar2' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mar2')."'></td>
								<td><input name='mar3' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mar3')."'></td>
								<td><input name='mar4' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mar4')."'></td></tr>";
					echo "<tr>	<td>Miercoles</td>
								<td><input name='sem3' size=1 maxlength='1' value='".substr(obtener_valor_diccionario($row,'semana'),2,1)."'></td>
								<td><input name='mie1' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mie1')."'></td>
								<td><input name='mie2' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mie2')."'></td>
								<td><input name='mie3' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mie3')."'></td>
								<td><input name='mie4' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'mie4')."'></td></tr>";
					echo "<tr>	<td>Jueves</td>
								<td><input name='sem4' size=1 maxlength='1' value='".substr(obtener_valor_diccionario($row,'semana'),3,1)."'></td>
								<td><input name='jue1' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'jue1')."'></td>
								<td><input name='jue2' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'jue2')."'></td>
								<td><input name='jue3' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'jue3')."'></td>
								<td><input name='jue4' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'jue4')."'></td></tr>";
					echo "<tr>	<td>Viernes</td>
								<td><input name='sem5' size=1 maxlength='1' value='".substr(obtener_valor_diccionario($row,'semana'),4,1)."'></td>
								<td><input name='vie1' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'vie1')."'></td>
								<td><input name='vie2' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'vie2')."'></td>
								<td><input name='vie3' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'vie3')."'></td>
								<td><input name='vie4' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'vie4')."'></td></tr>";
					echo "<tr>	<td>Sabado</td>
								<td><input name='sem6' size=1 maxlength='1' value='".substr(obtener_valor_diccionario($row,'semana'),5,1)."'></td>
								<td><input name='sab1' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'sab1')."'></td>
								<td><input name='sab2' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'sab2')."'></td>
								<td><input name='sab3' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'sab3')."'></td>
								<td><input name='sab4' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'sab4')."'></td></tr>";
					echo "<tr>	<td>Domingo</td>
								<td><input name='sem7' size=1 maxlength='1' value='".substr(obtener_valor_diccionario($row,'semana'),6,1)."'></td>
								<td><input name='dom1' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'dom1')."'></td>
								<td><input name='dom2' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'dom2')."'></td>
								<td><input name='dom3' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'dom3')."'></td>
								<td><input name='dom4' size=10 maxlength='4' value='".obtener_valor_diccionario($row,'dom4')."'></td></tr>";
					echo "</table></td>";
			echo "</td>";
		echo "</tr>";
		echo "</table>";
		echo "<br><center>";
			if ($accion==3) echo "<input type = 'submit' value = 'Grabar Modificaci&oacute;n'>";
			else echo "<input name='".(substr($_SESSION['acceso_validar'],16,1)==0?'nada':'procesar')."' type = 'submit' value = 'Grabar Nuevo Turno' disabled>";
		echo "</form></center>";
}
	
///////////////////////////////////////////////// MOSTRAR TABLA DE REGISTROS ////////////////////////////////////////////////////////////////
	$consulta="select * from turno where id='".$_SESSION['id_validar']."' order by codigo";
	$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
			echo "<table rules=none border=1 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#035493' >";
			echo "<th align=left><font color='white'>C&oacute;digo</font></th> ";
			echo "<th align=left><font color='white'>Detalle</font></th>";
			echo "<th align=left><font color='white'>Min/Retardo</font></th>";
			echo "<th align=left><font color='white'>Min/Sobretiempo</font></th>";
			echo "<th align=left><font color='white'>turnos: L-M-M-J-V-S-D</font></th>";
			echo "<th colspan=2 align='right'><font color='white'>Acci&oacute;n</font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				if ($color) $tcolor="#BFE5FF";
				else $tcolor="#F4FEFF";				
				echo '<tr bgcolor='.$tcolor.' >';
				echo '<td width="20" align="center">'.$row['codigo'].'</td>';
				echo '<td width="200">'.$row['detalle'].'</td>';
				echo '<td width="100" align="center">'.$row['tarde'].'</td>';
				echo '<td width="100" align="center">'.$row['sobre'].'</td>';
				echo '<td width="200" align="center">'.substr($row['semana'],0,1).'-'.substr($row['semana'],1,1).'-'.substr($row['semana'],2,1).'-'.substr($row['semana'],3,1).'-'.substr($row['semana'],4,1).'-'.substr($row['semana'],5,1).'-'.substr($row['semana'],6,1).'</td>';
				if (substr($_SESSION['acceso_validar'],18,1)==0) 
				echo "<td width='60' align='center'></td>";
				else echo "<td width='60' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&codigo=".$row['codigo']."'><img  border = 0  src='images/b_elimina.png' alt='ELIMINAR éste registro' ></a></td>";

				if (substr($_SESSION['acceso_validar'],17,1)=='0')
				echo "<td width='60' align='center'></td>";
				else echo "<td width='60' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=3&codigo=".$row['codigo']."'><img border = 0 src='images/b_edit.png' alt='MODIFICAR éste registro'></a></td>";
				echo '</tr>';
				$color=!$color;
			}
			echo '</table>';
	} else echo "<hr>"; 		
	mysqli_free_result($resultado);
	mysqli_close($enlace);
	echo "	<script language='JavaScript' type='text/JavaScript'>";
	echo "		document.entrada.codigo.focus()";
	echo "	</script>";
    echo "<br><br><br></body>";
	echo "</html>";
?>
